Bug 5544 - nmh will not uninstall
nmh will not uninstall
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: nmh (Show other bugs)
6.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Florian La Roche
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-10-04 19:51 EDT by Brian Ryner
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-16 10:27:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Ryner 1999-10-04 19:51:03 EDT
When I tried to rpm -e nmh, I got the following message:

execution of script failed.

As far as I can tell, it is referring to the preuninstall
script, which is:

if [ $1 = 0 ]; then
    [ ! -L /usr/bin/mh ] || rm -f /usr/bin/mh
    [ ! -L /usr/lib/mh ] || rm -f /usr/lib/mh
    [ -d /etc/smrsh -a -L /etc/smrsh/slocal ] && rm -f
/etc/smrsh/slocal
fi

Note You need to log in before you can comment on or make changes to this bug.